Page MenuHomePhabricator

efl/gesture: add an event to notify when a config value has been changed
ClosedPublic

Authored by zmike on Jan 24 2020, 11:16 AM.

Details

Summary

recognizers should be storing config values internally to avoid overhead
of multiple eo/hash lookups on every event

Depends on D11173

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 24 2020, 11:16 AM
zmike updated this revision to Diff 28470.Jan 24 2020, 11:22 AM
zmike edited the summary of this revision. (Show Details)

fix ticket ref

Makes sense. Docs are OK.

CHAN accepted this revision.Jan 28 2020, 3:32 AM

Looks good to me.

This revision is now accepted and ready to land.Jan 28 2020, 3:32 AM
zmike updated this revision to Diff 28677.Jan 29 2020, 11:22 AM

rebase/rework

Closed by commit rEFL54cb6e04d2ff: efl/gesture: add an event to notify when a config value has been changed (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:18 AM
This revision was automatically updated to reflect the committed changes.